LPP3HestonExpansion Class Reference

`#include <ql/pricingengines/vanilla/hestonexpansionengine.hpp>`

Inheritance diagram for LPP3HestonExpansion:
[legend]

## Public Member Functions

| LPP3HestonExpansion (const Real kappa, const Real theta, const Real sigma, const Real v0, const Real rho, const Real term)
virtual Real | impliedVolatility (const Real strike, const Real forward) const

## Detailed Description

Lorig Pagliarani Pascucci expansion of order-3 for the Heston model. During calibration, it can be initialized once per expiry, and called many times with different strikes. The formula is also available in the Mathematica notebook from the authors at http://explicitsolutions.wordpress.com/